# List favorite site templates

Fetches a list of your favorite site templates

Endpoint: GET /api/v1/favorites/sitetemplates
Version: v1
Security: Bearer

## Query parameters:

  - `environmentId` (string)
    The identifier of the environment
    Example: "main"

## Response 200 fields (application/json):

  - `id` (string,null)
    The identifier of the site template.
Example value: {5AAE1EEA-EA24-40BF-96F1-1F43DA82C77B}
    Example: "{5AAE1EEA-EA24-40BF-96F1-1F43DA82C77B}"

  - `name` (string,null)
    The name of the site template.
Example value: Basic
    Example: "Basic"

  - `enabled` (boolean)
    Whether the template is available for use in the SitecoreAI Create a site UI.
Example value: True
    Example: true

  - `description` (string,null)
    The description of the site template.
Example value: An example of a simple website with homepage, subpage, navigation, and footer.
    Example: "An example of a simple website with homepage, subpage, navigation, and footer."

  - `contents` (array,null)
    The summary of what pages, components, or integrations are included in the template.

  - `contents.key` (string,null)

  - `contents.value` (string,null)

  - `createdBy` (string,null)
    The author of the site template.
Example value: sitecore\L6kfw52Vf
    Example: "sitecore\\L6kfw52Vf"

  - `updatedOn` (string)
    The date of the last update.
Example value: 2019-08-24T14:15:22Z
    Example: "2019-08-24T14:15:22Z"

  - `thumbnail` (string,null)
    The thumbnail of the site template.
Example value: https://customer-tenant.sitecorecloud.io/-/media/Feature/JSS-Experience-Accelerator/Basic-Site/template-thumbnail.png?w=176
    Example: "https://customer-tenant.sitecorecloud.io/-/media/Feature/JSS-Experience-Accelerator/Basic-Site/template-thumbnail.png?w=176"

  - `image` (string,null)
    Large resolution screenshot of the site template.
Example value: https://customer-tenant.sitecorecloud.io/-/media/Feature/JSS-Experience-Accelerator/Basic-Site/template-thumbnail.png
    Example: "https://customer-tenant.sitecorecloud.io/-/media/Feature/JSS-Experience-Accelerator/Basic-Site/template-thumbnail.png"

  - `metadata` (object,null)
    The site template metadata.
    Example: {"builtInTemplate":"true"}

## Response 400 fields (application/json):

  - `type` (string,null)
    The type of the error response entity.

  - `title` (string,null)
    The title of the error response entity.

  - `status` (integer,null)
    The response status code.

  - `detail` (string,null)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string,null)
    If available, a URI reference that identifies the specific occurrence of the problem.


